; 2013-Oster-Contest, Servo-Tester2 in Stufen von 121us 
;
; PWM-Modul fr 1,2MHz (fr 4,8MHz prescaler auf 256 erhhen) 
;--------------------------------
; ocr0a ~ 193 ~ 1,2MHz / 64prescaler / 2phase / 50 Hz (= 188)
; ocr0b ~ 121us * n
;--------------------------------
; Fuse 0b0110_1010
;    devide=^ ^^^^=9,6MHz 
;--------------------------------
.DEVICE ATtiny13		; fr gavrasm
.cseg				; codesegment
.org 0				; adr 0
;-------------------------------- 
init:				; Vorbereitungen
	sbi ddrb,1		; Ausgang definieren
;-------------------------------- 
init_pwm:			; Mode 5
	ldi r16,0b00100001	;   0 0 1 0  - - 0 1
	Out Tccr0a , R16	; A-^-^ ^-^-B    ^+^=PWM  clear OC0B on compare
	ldi r16,0b00001011	;   0 0 - -  1 0 1 1  
	Out Tccr0b , R16	;        PWM-^ ^+^+^-prescale 
	ldi r16,193		; 193 => 50Hz
	out ocr0a,r16		;
; neue Werte mssen nur einmal im Hauptprogramm geladen werden
	ldi r16,12		; n = t / 121us
	Out Ocr0b,R16		; lade OCR0B = 12 => 1,5ms
;-------------------------------- 
main:				; Hauptprogramm
	rjmp main		;
;-------------------------------- 
;end				;
